export enum DeviceStatus {
    LIVE,
    LIVE_NO_ASSISTANT,
    NOT_LIVE,
}

export class Device {

    name?: string;
    osVersion: string;
    snipsVersion: string;
    samVersion: string;
    status: DeviceStatus;

    constructor(name?: string, osVersion = 'Unknown', snipsVersion = 'Unknown', samVersion = 'Unknown', status: DeviceStatus = DeviceStatus.NOT_LIVE) {
        this.name = name;
        this.osVersion = osVersion;
        this.snipsVersion = snipsVersion;
        this.samVersion = samVersion;
        this.status = status;
    }
}
