/// <reference types="node" />
export declare class Stream {
    private output;
    private tab;
    constructor(output: NodeJS.WriteStream);
    loading(text: string): void;
    update(text: string): void;
    stop(): void;
    stopAndClear(): void;
    success(text?: string): void;
    done(): void;
    ok(text: string): void;
    error(text: string | undefined): void;
    hint(text: string): void;
    print(text: string): void;
    printNoLN(text: string): void;
    log(tag: string, text: string): void;
}
